From: Ondrej Jirman <megous@megous.com>
Date: Sun, 17 Jan 2021 23:06:03 +0100
Subject: arm64: dts: sun50i-pinephone: Add interrupt pin for WiFi

Signed-off-by: Ondrej Jirman <megous@megous.com>
---
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
index ed2449b..3ed48994 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
@@ -485,6 +485,8 @@ &mmc1 {
 
 	rtl8723cs: wifi@1 {
 		reg = <1>;
+		interrupt-parent = <&r_pio>;
+		interrupts = <0 3 IRQ_TYPE_EDGE_FALLING>; /* PL3 */
 	};
 };
 
